Skip to Content
0

SQL 2016 SP2 Support

Apr 30 at 09:18 PM

59

avatar image

We currently have our CMS, ADS, and Report Databases on SQL 2016 on sap bi 4.2 sp4

We are thinking of updating to sql 2016 sp2.

Is SQL 2016 Sp2 supported with BI 4.2?

Which SP, and patch level is required?

10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

3 Answers

netsanet kebede
Apr 30 at 09:39 PM
0

Hello,

Yes, you can us it with SQL Server Native Client 11.0 or SQL Server 2016 driver for JDBC (sqljdbc4.jar)).

You need to be on BI4.2 SP4 and up.

Thanks,

Sonet

Share
10 |10000 characters needed characters left characters exceeded
Dell Stinnett-Christy Apr 30 at 09:22 PM
0

You get this information in the Product Availability Matrix (PAM), which you can get to here:

https://help.sap.com/viewer/product/SAP_BUSINESSOBJECTS_BUSINESS_INTELLIGENCE_PLATFORM/4.2.5/en-US

Scroll to the bottom and look for "Additional Information" the link to the PAM is there. This page is specifically for 4.2 SP5, but the PAM contains info for all of the service packs in 4.2.

-Dell

Show 1 Share
10 |10000 characters needed characters left characters exceeded

I reviewed the latest PAM for SBOP 4.2, and SP2 is not listed as supported (could be due to its recent release).

0
Dell Stinnett-Christy May 01 at 05:15 PM
0

That is probably true. In that case you may have to upgrade your BOBJ environment to get support for it. However, both database versions will use the same version of the db client - sqlncli version 11.0 - so it may work even if it's not officially supported. I would try deploying to a dev environment as a test and see whether you have any issues.

-Dell

Share
10 |10000 characters needed characters left characters exceeded